2026.2.7 (2026-10-26)
Platform:
-
Feature: Add
broker drain <duration>subcommand to disconnect a node's MQTT connections evenly over a period of time, withbroker drain statusandbroker drain cancelto monitor or stop it -
Fix: Race could occur when forcibly killing MQTT broker clients
See also 2026.1.16
2026.2.6 (2026-10-16)
Platform:
-
Feature: Root certificates for mTLS are scoped per system
-
Feature: Add
migrate mtls-rootssubcommand to add platform mTLS roots to systems -
Fix: V8
TextEncoder.encodeandTextDecoder.decodegracefully handle lone surrogates and invalid UTF-8 bytes instead of throwing. Strings whose UTF-8 encoding exceeds 128 MiB can now be encoded. -
Fix: Message history flusher goroutine could be leaked on system delete/disable
-
Fix: Concurrent map iteration and write could cause panic during Prometheus collection of
clearblade_mqtt_shared_topic_queues
See also 2026.1.15
2026.2.5 (2026-10-06)
Platform:
-
Enhancement: Per-provider OIDC setting
allow_password_loginlets accounts bound to that provider also sign in with a password; off by default -
Fix: Adapter files created/updated between platform versions
2026.2.0and2026.2.4get their contents encoded as an integer array
See also 2026.1.14
2026.2.4 (2026-09-14)
See also 2026.1.13
2026.2.3 (2026-09-01)
Platform:
-
Fix: Nil pointer dereference on hypertable settings interval string
See also 2026.1.12
2026.2.2 (2026-08-12)
Platform:
-
Fix: Nil pointer dereference if message arrives before platform is fully initialized
See also 2026.1.10 and 2026.1.11
2026.2.1 (2026-07-14)
See 2026.1.9
2026.2.0 (2026-07-06)
Platform:
-
Feature: Add
metricslibrary to JS to allow custom Prometheus metrics -
Feature: Add endpoint
POST /api/v/1/db/table/{table}/vacuumfor vacuuming tables -
Feature: Add endpoint
POST /api/v/1/db/table/{table}/reindexfor reindexing tables -
Feature: Add endpoint
POST /api/v/1/db/index/{index}/reindexfor reindexing indexes -
Feature: Add endpoint
GET /api/v/1/db/jobsandGET/DELETE /api/v/1/db/jobs/{id}for managing long running DB jobs -
Feature: Add endpoints to view preloaded service response time based upon request parameters.
-
Feature: Support dynamic hypertable chunk intervals
-
Feature: Add
Sync.DisableSyncconfig that performs platform optimizations when sync is not required -
Enhancement: Prevent DB queries from returning rows if they are unused in the platform
-
Enhancement: Increase cache usage when checking if a string is a collection name or id
-
Enhancement: Support multiple root certificates for mTLS
-
Enhancement: Allow
/admin/settings/mtls/generate-certificateendpoint to generate multiple certificates -
Enhancement: Improve mTLS root certificate validation on upload
-
Enhancement: Add HTTP endpoint
GET/PUT/DELETE /admin/mtls-certs/roots/{rootName}for managing individual mTLS roots -
Enhancement: mTLS root certificates can be updated without restarting the mTLS server
-
Enhancement: Add table/index bloat to Postgres statistics